aboutsummaryrefslogtreecommitdiffstats
path: root/x11/cups/cupsd.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-10-14 09:19:12 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-10-14 09:34:02 +0000
commitea12c0a24156e7a3452ddfddd20240269e5a9af3 (patch)
treefbca89fda405f5e91265cdd2f9f4488ca1d541b6 /x11/cups/cupsd.initd
parentbcf07ed9367276cc21d4db39144dd936c14ebb39 (diff)
downloadaports-ea12c0a24156e7a3452ddfddd20240269e5a9af3.tar.gz
aports-ea12c0a24156e7a3452ddfddd20240269e5a9af3.tar.bz2
aports-ea12c0a24156e7a3452ddfddd20240269e5a9af3.tar.xz
x11/cups: new aport
The CUPS Printing System http://www.cups.org/
Diffstat (limited to 'x11/cups/cupsd.initd')
-rw-r--r--x11/cups/cupsd.initd20
1 files changed, 20 insertions, 0 deletions
diff --git a/x11/cups/cupsd.initd b/x11/cups/cupsd.initd
new file mode 100644
index 0000000000..e5529eeccc
--- /dev/null
+++ b/x11/cups/cupsd.initd
@@ -0,0 +1,20 @@
+#!/sbin/runscript
+
+depend() {
+ use net
+ @neededservices@
+ before nfs
+ after logger
+}
+
+start() {
+ ebegin "Starting cupsd"
+ start-stop-daemon --start --quiet --exec /usr/sbin/cupsd
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping cupsd"
+ start-stop-daemon --stop --quiet --exec /usr/sbin/cupsd
+ eend $?
+}